import Writer from './writer';
export declare class WriterTfVarsJson extends Writer {
    values: string;
    references: any;
    constructor(values: any, references: any);
    __replaceReferences(values: any, references: any): any;
    __resolveDeps(): any;
    _render(): Promise<string>;
}
